Skip to main content

Class ModifyGraphRequest.Options

java.lang.Object
com.gpudb.protocol.ModifyGraphRequest.Options
Enclosing class:

public static final class ModifyGraphRequest.Options extends Object
A set of string constants for the ModifyGraphRequest parameter options.

Optional parameters.

  • Field Summary

    Fields
    Modifier and Type
    Field
    Description
    static final String
    Adds a table monitor to every table used in the creation of the graph; this table monitor will trigger the graph to update dynamically upon inserts to the source table(s).
    static final String
    Adds dummy ‘pillowed’ edges around intersection nodes where there are more than three edges so that additional weight penalties can be imposed by the solve endpoints.
    static final String
    Multigraph choice; allowing multiple edges with the same node pairs if set to true, otherwise, new edges with existing same node pairs will not be inserted.
    static final String
    If table exists (should be generated by the match/graph match_embedding solver), the vector embeddings for the newly inserted nodes will be appended into this table.
    static final String
    If set to TRUE, adds a ‘EDGE_WKTLINE’ column identifier to the specified GRAPH_TABLE so the graph can be viewed via WMS; for social and non-geospatial graphs, the ‘EDGE_WKTLINE’ column identifier will be populated with spatial coordinates derived from a flattening layout algorithm so the graph can still be viewed.
    static final String
    If set to TRUE, returns the graph topology in the response as arrays.
    static final String
     
    static final String
    If specified, the created graph is also created as a table with the given name, in [schema_name.]table_name format, using standard name resolution rules and meeting table naming criteria.
    static final String
    If provided the label string will be split according to this delimiter and each sub-string will be applied as a separate label onto the specified edge.
    static final String
    When RESTRICTIONS on labeled entities requested, if set to true this will NOT delete the entity but only the label associated with the entity.
    static final String
    Value-based restriction comparison.
    static final String
    If set to TRUE, the graph will be saved in the persist directory (see the config reference for more information).
    static final String
     
    static final String
    Value in degrees modifies the thresholds for attributing right, left, sharp turns, and intersections.
    static final String
    Use an range tree structure to accelerate and improve the accuracy of snapping, especially to edges.
  • Method Summary

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
  • Field Details

    • RESTRICTION_THRESHOLD_VALUE

      public static final String RESTRICTION_THRESHOLD_VALUE
      Value-based restriction comparison. Any node or edge with a RESTRICTIONS_VALUECOMPARED value greater than the RESTRICTION_THRESHOLD_VALUE will not be included in the graph.
    • EXPORT_CREATE_RESULTS

      public static final String EXPORT_CREATE_RESULTS
      If set to TRUE, returns the graph topology in the response as arrays. Supported values:The default value is FALSE.
    • TRUE

      public static final String TRUE
    • FALSE

      public static final String FALSE
    • ENABLE_GRAPH_DRAW

      public static final String ENABLE_GRAPH_DRAW
      If set to TRUE, adds a ‘EDGE_WKTLINE’ column identifier to the specified GRAPH_TABLE so the graph can be viewed via WMS; for social and non-geospatial graphs, the ‘EDGE_WKTLINE’ column identifier will be populated with spatial coordinates derived from a flattening layout algorithm so the graph can still be viewed. Supported values:The default value is FALSE.
    • SAVE_PERSIST

      public static final String SAVE_PERSIST
      If set to TRUE, the graph will be saved in the persist directory (see the config reference for more information). If set to FALSE, the graph will be removed when the graph server is shutdown. Supported values:The default value is FALSE.
    • ADD_TABLE_MONITOR

      public static final String ADD_TABLE_MONITOR
      Adds a table monitor to every table used in the creation of the graph; this table monitor will trigger the graph to update dynamically upon inserts to the source table(s). Note that upon database restart, if SAVE_PERSIST is also set to TRUE, the graph will be fully reconstructed and the table monitors will be reattached. For more details on table monitors, see GPUdb.createTableMonitor. Supported values:The default value is FALSE.
    • GRAPH_TABLE

      public static final String GRAPH_TABLE
      If specified, the created graph is also created as a table with the given name, in [schema_name.]table_name format, using standard name resolution rules and meeting table naming criteria. This table will have the following identifier columns: ‘EDGE_ID’, ‘EDGE_NODE1_ID’, ‘EDGE_NODE2_ID’. If left blank, no table is created. The default value is ”.
    • REMOVE_LABEL_ONLY

      public static final String REMOVE_LABEL_ONLY
      When RESTRICTIONS on labeled entities requested, if set to true this will NOT delete the entity but only the label associated with the entity. Otherwise (default), it’ll delete the label AND the entity. Supported values:The default value is FALSE.
    • ADD_TURNS

      public static final String ADD_TURNS
      Adds dummy ‘pillowed’ edges around intersection nodes where there are more than three edges so that additional weight penalties can be imposed by the solve endpoints. (increases the total number of edges). Supported values:The default value is FALSE.
    • TURN_ANGLE

      public static final String TURN_ANGLE
      Value in degrees modifies the thresholds for attributing right, left, sharp turns, and intersections. It is the vertical deviation angle from the incoming edge to the intersection node. The larger the value, the larger the threshold for sharp turns and intersections; the smaller the value, the larger the threshold for right and left turns; 0 < turn_angle < 90. The default value is ‘60’.
    • USE_RTREE

      public static final String USE_RTREE
      Use an range tree structure to accelerate and improve the accuracy of snapping, especially to edges. Supported values:The default value is TRUE.
    • LABEL_DELIMITER

      public static final String LABEL_DELIMITER
      If provided the label string will be split according to this delimiter and each sub-string will be applied as a separate label onto the specified edge. The default value is ”.
    • ALLOW_MULTIPLE_EDGES

      public static final String ALLOW_MULTIPLE_EDGES
      Multigraph choice; allowing multiple edges with the same node pairs if set to true, otherwise, new edges with existing same node pairs will not be inserted. Supported values:The default value is TRUE.
    • EMBEDDING_TABLE

      public static final String EMBEDDING_TABLE
      If table exists (should be generated by the match/graph match_embedding solver), the vector embeddings for the newly inserted nodes will be appended into this table. The default value is ”.